

pkgname=nemo-megasync
pkgver=4.5.3.0
pkgrel=3
pkgdesc="MEGASync extension for the Nemo file browser"
arch=('x86_64')
url="https://github.com/meganz/MEGAsync"
license=('custom')
makedepends=('git' 'nemo' 'qt5-tools' 'imagemagick')
conflicts=("${pkgname}-git")
_extname="_Win"
source=("git+https://github.com/meganz/MEGAsync.git#tag=v${pkgver}${_extname}"
        "https://metainfo.manjariando.com.br/megasync/com.${pkgname}.metainfo.xml"
        "https://metainfo.manjariando.com.br/filemanager.png")
sha256sums=('SKIP'
            '87048e38789cfd7497d9bd5624febe8bcca0b6c32f8d35f5f9b68028bd8ae6a5'
            '3b19be9e841750dd69bc8bedb141dc74a9cac7ec6a885223cc5d1bf26af6d925')

_megasync_desktop="[Desktop Entry]
Terminal=false
Type=Application
Name=
TryExec=megasync
Exec=megasync
Categories=Utility;
NoDisplay=true"

build() {
    cd "${srcdir}"
    echo -e "$_megasync_desktop" | tee com.${pkgname/-/_}.desktop

    cd "${srcdir}/MEGAsync/src/MEGAShellExtNemo"
    qmake-qt5 MEGAShellExtNemo.pro 
    make
}

package() {
    depends=('nemo' "megasync>=${pkgver%.*}")

    cd "${srcdir}/MEGAsync/src/MEGAShellExtNemo"

    install -dm 755 "${pkgdir}/usr/lib/nemo/extensions-3.0/"
    install -m 755 -p libMEGAShellExtNemo.so.1.0.0 "${pkgdir}/usr/lib/nemo/extensions-3.0/"

    cd "${pkgdir}/usr/lib/nemo/extensions-3.0/"
    ln -s libMEGAShellExtNemo.so.1.0.0 libMEGAShellExtNemo.so
    ln -s libMEGAShellExtNemo.so.1.0.0 libMEGAShellExtNemo.so.1
    ln -s libMEGAShellExtNemo.so.1.0.0 libMEGAShellExtNemo.so.1.0
        
    # Appstream
    install -Dm644 "${srcdir}/com.${pkgname/-/_}.desktop" "${pkgdir}/usr/share/applications/com.${pkgname/-/_}.desktop"
    install -Dm644 "${srcdir}/com.${pkgname}.metainfo.xml" "${pkgdir}/usr/share/metainfo/com.${pkgname}.metainfo.xml"

    for size in 22 24 32 48 64 128; do
        mkdir -p "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps"
        convert "${srcdir}/filemanager.png" -resize "${size}x${size}" \
            "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/${pkgname}.png"
    done
}
